---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libhs203t003.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51590, symBinAddr: 0x7210, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x534D0, symBinAddr: 0x9150, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x538C0, symBinAddr: 0x9540, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54860, symBinAddr: 0xA4E0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54870, symBinAddr: 0xA4F0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51220, symBinAddr: 0x70D0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51224, symBinAddr: 0x70D4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51228, symBinAddr: 0x70D8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51370, symBinAddr: 0x70E0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51428, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5142C, symBinAddr: 0x719C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51430, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51434, symBinAddr: 0x71A4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51438, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51440, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51458, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51460, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51468, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51470, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51478, symBinAddr: 0x71E8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL11redefineCnt, symObjAddr: 0x514BC, symBinAddr: 0x71FC, symSize: 0x0 }
  - { offsetInCU: 0x90ED, offset: 0x90ED, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x514C0, symBinAddr: 0x7200, symSize: 0x0 }
  - { offsetInCU: 0x913F, offset: 0x913F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xFA0, symSize: 0x80 }
  - { offsetInCU: 0x91D4, offset: 0x91D4, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xEF0, symSize: 0xB0 }
  - { offsetInCU: 0x922F, offset: 0x922F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xDF0, symSize: 0x100 }
  - { offsetInCU: 0x94C2, offset: 0x94C2, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1020, symSize: 0xC0 }
  - { offsetInCU: 0x9514, offset: 0x9514, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x10E0, symSize: 0x220 }
  - { offsetInCU: 0x96F9, offset: 0x96F9, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1300, symSize: 0xA0 }
  - { offsetInCU: 0x97AC, offset: 0x97AC, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x13A0, symSize: 0x110 }
  - { offsetInCU: 0x98A2, offset: 0x98A2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x14B0, symSize: 0x150 }
  - { offsetInCU: 0x99D3, offset: 0x99D3, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1600, symSize: 0x30 }
  - { offsetInCU: 0x9AC0, offset: 0x9AC0, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1630, symSize: 0x150 }
  - { offsetInCU: 0x9CB8, offset: 0x9CB8, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1780, symSize: 0x160 }
  - { offsetInCU: 0x9F78, offset: 0x9F78, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x18E0, symSize: 0x4A0 }
  - { offsetInCU: 0xA211, offset: 0xA211, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1D80, symSize: 0x1B0 }
  - { offsetInCU: 0xA42C, offset: 0xA42C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1F30, symSize: 0xA0 }
  - { offsetInCU: 0xA553, offset: 0xA553, size: 0x8, addend: 0x0, symName: _nsk_jvmti_redefineClass, symObjAddr: 0x2BC0, symBinAddr: 0x1FD0, symSize: 0x2D0 }
  - { offsetInCU: 0xA835, offset: 0xA835, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x22A0, symSize: 0x20 }
  - { offsetInCU: 0xA86C, offset: 0xA86C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x22C0, symSize: 0x20 }
  - { offsetInCU: 0xA8A3, offset: 0xA8A3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x22E0, symSize: 0x20 }
  - { offsetInCU: 0xAA52, offset: 0xAA52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2300, symSize: 0x1A0 }
  - { offsetInCU: 0xAD70, offset: 0xAD70, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x24A0, symSize: 0x80 }
  - { offsetInCU: 0xAE39, offset: 0xAE39, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2520, symSize: 0x6C0 }
  - { offsetInCU: 0xB9AF, offset: 0xB9AF, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA6C0, symBinAddr: 0x3CA0, symSize: 0xB0 }
  - { offsetInCU: 0xBA26, offset: 0xBA26, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2BE0, symSize: 0x70 }
  - { offsetInCU: 0xBB1A, offset: 0xBB1A, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2C50, symSize: 0xA0 }
  - { offsetInCU: 0xBC25, offset: 0xBC25, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2CF0, symSize: 0x40 }
  - { offsetInCU: 0xBD1B, offset: 0xBD1B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2D30, symSize: 0x2B0 }
  - { offsetInCU: 0xC0C1, offset: 0xC0C1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2FE0, symSize: 0xC0 }
  - { offsetInCU: 0xC207, offset: 0xC207, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x30A0, symSize: 0x10 }
  - { offsetInCU: 0xC2C9, offset: 0xC2C9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x30B0, symSize: 0x240 }
  - { offsetInCU: 0xC5B2, offset: 0xC5B2, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x32F0, symSize: 0x10 }
  - { offsetInCU: 0xC60F, offset: 0xC60F, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3300, symSize: 0x260 }
  - { offsetInCU: 0xC9B3, offset: 0xC9B3, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F80, symBinAddr: 0x3560, symSize: 0x10 }
  - { offsetInCU: 0xCA74, offset: 0xCA74, size: 0x8, addend: 0x0, symName: _callbackClassPrepare, symObjAddr: 0x9F90, symBinAddr: 0x3570, symSize: 0x1E0 }
  - { offsetInCU: 0xCD0F, offset: 0xCD0F, size: 0x8, addend: 0x0, symName: _callbackFieldAccess, symObjAddr: 0xA170, symBinAddr: 0x3750, symSize: 0x200 }
  - { offsetInCU: 0xCF6A, offset: 0xCF6A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS203_hs203t003_hs203t003_isSuspended, symObjAddr: 0xA370, symBinAddr: 0x3950, symSize: 0xC0 }
  - { offsetInCU: 0xD0AB, offset: 0xD0AB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS203_hs203t003_hs203t003_popThreadFrame, symObjAddr: 0xA430, symBinAddr: 0x3A10, symSize: 0x1D0 }
  - { offsetInCU: 0xD2FF, offset: 0xD2FF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS203_hs203t003_hs203t003_resumeThread, symObjAddr: 0xA600, symBinAddr: 0x3BE0, symSize: 0xC0 }
  - { offsetInCU: 0xD410, offset: 0xD410, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA770, symBinAddr: 0x3D50, symSize: 0x36A }
...
